Bug 82248 - Other: Changing or resetting shortcuts doesn't work
Summary: Other: Changing or resetting shortcuts doesn't work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 118892 (view as bug list)
Depends on:
Blocks: Customize-Dialog-Keyboard Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2014-08-06 13:11 UTC by Dakov
Modified: 2020-06-07 15:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Video (zipped) showing how changes are forgotten. (1.66 MB, application/x-zip-compressed)
2014-08-06 13:14 UTC, Dakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dakov 2014-08-06 13:11:00 UTC
Problem description:
If you change more than one shortcut and click OK LibreOffice often only registers the last shortcut you changed - or none.


Steps to reproduce:
1. .... Open customize
2. .... Change Undo to Ctrl+Y
3. .... Now change Redo to Ctrl+Shift+Y
4. .... Perhaps Switch to LibreOffice shortcuts isntead of Writer
5. .... Do more shortcut changes (that you remember)
6. .... Click OK
7. .... Re-open Customize and notice that most of none weren't changed.

Current behavior:
Customized shortcuts are often forgotten (this issue has been in OpenOffice for as long as I can remember - 10 years?)


Expected behavior:
ALL shortcuts changed in Writer and generally in the LibreOffice shortcut list should be remembers and saved even if you click OK only once after changing both the Writer and LibreOffice list.
              
Operating System: Windows 8
Version: 4.3.0.4 release
Comment 1 Dakov 2014-08-06 13:14:29 UTC
Created attachment 104150 [details]
Video (zipped) showing how changes are forgotten.
Comment 2 Dakov 2014-08-06 13:15:54 UTC
Please see the attached video.
Comment 3 Buovjaga 2014-11-05 13:33:19 UTC
Confirmed -> NEW.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: b7d8a58ff2698ffc6e22943f64aa97c5ea253bd9
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-05_00:40:38
Comment 4 QA Administrators 2015-12-20 16:16:09 UTC Comment hidden (obsolete)
Comment 5 Thomas Lendo 2018-03-11 22:51:49 UTC
Still reproducible with Version: 6.1.0.0.alpha0+
Build ID: adc6ba2ad502f095dde8f36242fda9aaa6c276fd
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Build from today
Comment 6 Alex Thurgood 2018-08-06 07:35:24 UTC
*** Bug 118892 has been marked as a duplicate of this bug. ***
Comment 7 QA Administrators 2019-08-07 04:45:50 UTC
Dear Dakov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug